<?php use_helper( 'UrlFunctions' ); ?>
<?php use_helper( 'IncludePartial' ); ?>
<?php use_helper( 'UtilFunctions' ); ?>

<script>
actualizarTotalMonto = function()
{
    var i_Id = $( "#i_Id" ).val();
    
    var a_Params = [];
    a_Params.push( "i_Id=" + i_Id );
    
    executeAjaxUpdater( 
                            "content_result_totales", 
                            "<?php echo buildUrl( 'requerimiento/actualizarTotalesReq' ) ?>", 
                            a_Params.join( "&" ), 
                            function( response )
                            {
                                
                            } 
                      );
}
EnviarCorreoRequerimiento = function()
{
    x = confirm( "Esta seguro de enviar un correo?" );
    if( x )
    {
    	mostrarCargaImg();
    	var strFormSerialize = "i_Id=<?=$i_Id?>&TipoProc=EnviarCorreo"
        executeAjaxJson
        (
            "<?php echo buildUrl( 'requerimiento/request', "" ) ?>",
            strFormSerialize,
            function( o_json )
            {
                ocultarCargaImg();
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                parent.findControl();
                parent.$( '#dialog' ).dialog( 'close' );
                return true;
            }
        );
    }
}
RequerimientoActualizar = function()
{
	mostrarCargaImg();
	var strFormSerialize = $( 'form' ).serialize();
	strFormSerialize += "&TipoProc=RevisarReq"
    executeAjaxJson( 
                        "<?=buildUrl( 'requerimiento/saveRevisedDetail' )?>",
                        strFormSerialize,
                        function( o_json )
                        {
                        	ocultarCargaImg();
                            if( o_json.error )
                            {
                                mostrarMensajeError( o_json.mensaje_error );
                                return false;
                            }
                            parent.findControl();
                            parent.$( '#dialog' ).dialog( 'close' );
                            return true;
                        } 
                   );
}
RequerimientoRevisado = function()
{
	x = confirm( "Esta seguro de generar una O/C?" );
    if( x )
    {
        $( 'html,body' ).animate
        (
            {
                scrollTop: $( "#resultContent" ).offset().top
            }, 
            1000
        );
        
        blockContent( 'content_grid' );
    	mostrarCargaImg();
    	var strFormSerialize = $( 'form' ).serialize();
    	strFormSerialize += "&TipoProc=RevisarReq"
        executeAjaxJson
        (
            "<?php echo buildUrl( 'requerimiento/saveRevisedDetail' ) ?>",
            strFormSerialize,
            function( o_json )
            {
                ocultarCargaImg();
                unBlockContent( 'content_grid' );
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                location.reload();
                parent.findControl();
                parent.$( '#dialog' ).dialog( 'close' );
                return true;
            }
        );
    }
}
AnularRequerimiento = function()
{
    x = confirm( "Esta seguro de cambiar el estado a Revisado?" );
    if( x )
    {
        mostrarCargaImg();
        var strFormSerialize = "i_Id=<?=$i_Id?>&TipoProc=AnularRequerimiento";
        executeAjaxJson
        (
            "<?php echo buildUrl( 'requerimiento/request', "" ) ?>",
            strFormSerialize,
            function( o_json )
            {
                ocultarCargaImg();
                if( o_json.error )
                {
                    mostrarMensajeError( o_json.mensaje_error );
                    return false;
                }
                parent.findControl();
                parent.$( '#dialog' ).dialog( 'close' );
                return true;
            }
        );
    }
}
</script>

<style>
.header { background-color: #E1E1E1; color: #444444; font-family: Arial,Helvetica,sans-serif; font-size: 11px; font-weight: bold; }
.pager { background-color: #F4F4F4; background-image: none; border-bottom: thin solid #999999; }
</style>


<div class="tab-content card" style="border-top: 0px;" id="myTabContent">
    <div class="tab-pane fade show active" id="profile" role="tabpanel" aria-labelledby="profile-tab">
        <div class="form-row mx-0">
            <?php include_partial( "infohead", array( "o_DefaultBN" => $o_DefaultBN ) ); ?>
        </div>
    </div>
</div>

<div class="dropdown-divider"></div>

<fieldset class="">
    <!-- <legend class="w-auto">Productos</legend> -->
    <div class="table-responsive" id="content_result_grid1">
        <table class="table table-bordered table-hover">
            <thead class="table-primary">
            <tr>
                <th width="2%"  align="center"><b>No</b></th>
                <th width="5%" align="center"><b>C&oacute;digo</b></th>
                <th width="20%" align=""      ><b>Descripci&oacute;n</b></th>
                <th width="8%" align="center"><b>Stock Actual</b></th>
                <th width="8%" align="center"><b>Stock Minimo</b></th>
                <th width="8%" align="center"><b>Cantidad</b></th>
            </tr>
            </thead>
            <?php foreach ( $a_ALM_RequerimientoDetalle as $i_Key => $o_ALM_RequerimientoDetalleBN ){ ?>
                <tr>
                    <td align="center"><?=( $i_Key + 1 )?></td>
                    <td align="center" ><?=$o_ALM_RequerimientoDetalleBN->getIdItem()?></td> <!--style="cursor:pointer; color:#2743B2; text-decoration:underline;" onclick="buscarResumenStock( $( this ).html() );"-->
                    <td ><?=$o_ALM_RequerimientoDetalleBN->getDescripcionItem()?></td>
                    <td align="center" ><?=$o_ALM_RequerimientoDetalleBN->getStockAlmacenActual()?></td>
                    <td align="center"><?=$o_ALM_RequerimientoDetalleBN->getStockMinimo()?></td>
                    <td align="center"><?=$o_ALM_RequerimientoDetalleBN->getCantidadSugerida()?></td>
                </tr>
            <?php } ?>
        </table>
    </div>
</fieldset>


<table width="100%" border="0" style="margin-top: 10px;">
    <tr>
        <td align="center">
            <input type="button" class="button" value="Cerrar" onclick="parent.$( '#dialog' ).dialog( 'close' );">
            <?php if( $s_TipoProc ==  "dlt" ){ ?>
                <input type="button" class="button" value="Anular" onclick="AnularRequerimiento();">
            <?php } ?>
            <?php if( $s_TipoProc ==  "email" ){ ?>
                <input type="button" class="button" value="Enviar Correo" onclick="EnviarCorreoRequerimiento();">
            <?php } ?>
            <?php if( $s_TipoProc ==  "revisar" ){ ?>
                <?php if( $o_DefaultBN->getEstado() !=  ALM_RequerimientoCabeceraBN::REQUERIMIENTO_COMPLETADO ){ ?>
                    <input type="button" class="button" value="Revisar" onclick="RequerimientoRevisado();">
                <?php } ?>
            <?php } ?>
            <input type="button" class="button" value="Imprimir" onclick="window.open( '<?=buildUrl( 'requerimiento/printReq', "TipoProc=excel&i_Id=".$i_Id )?>', '_BLANK' )">
            <div id="s_ImagenLoad" style="display:none;"><?=addImgButton( "progress.gif", array( "src"=>"common" ) )?><label class="laber req">Procesando...</label></div>
        </td>
    </tr>
</table>

<?=crearPopupResumenStock( array( "name_function"=>"buscarResumenStock" ) )?>

<script>
//actualizarTotalMonto();
</script>